Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class EmbededExternalResourceSecurity

    java.lang.Object
      org.apache.batik.bridge.EmbededExternalResourceSecurity

All Implemented Interfaces:
  ExternalResourceSecurity

    public class EmbededExternalResourceSecurity

extends Object
implements ExternalResourceSecurity

This implementation of the `ExternalResourceSecurity` interface only allows external resources embeded in the document, i.e., externalResources embeded with the data protocol.

Field Summary
`static String` | `DATA_PROTOCOL`
`static String` | `ERROR_EXTERNAL_RESOURCE_NOT_EMBEDED` Message when trying to load a external resource that is not embeded in the document.
`protected SecurityException` | `se` The exception is built in the constructor and thrown if not null and the checkLoadExternalResource method is called.

Constructor Summary
`EmbededExternalResourceSecurity(ParsedURL externalResourceURL)`

Method Summary
`void` | `checkLoadExternalResource()` Controls whether the externalResource should be loaded or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_PROTOCOL

    public static final String DATA_PROTOCOL

See Also:
  Constant Field Values

### ERROR_EXTERNAL_RESOURCE_NOT_EMBEDED

    public static final String ERROR_EXTERNAL_RESOURCE_NOT_EMBEDED

  Message when trying to load a external resource that is not embeded in the document.

  See Also:
    Constant Field Values

### se

    protected SecurityException se

  The exception is built in the constructor and thrown if not null and the checkLoadExternalResource method is called.

Constructor Detail

### EmbededExternalResourceSecurity

    public EmbededExternalResourceSecurity(ParsedURL externalResourceURL)

Parameters:
  `externalResourceURL` - url for the externalResource, as defined in the externalResource's xlink:href attribute. If that attribute was empty, then this parameter should be null

Method Detail

### checkLoadExternalResource

    public void checkLoadExternalResource()

  Controls whether the externalResource should be loaded or not.

  Specified by:
    `checkLoadExternalResource` in interface `ExternalResourceSecurity`
  Throws:
    `SecurityException` - if the externalResource should not be loaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.